Quad precision floating point package for gfortran

Jerry DeLisle jvdelisle@frontier.com
Wed Sep 8 06:37:00 GMT 2010


We are developing a quad precision floating point library for use with gfortran.

When attempting to build the library under Cygwin, we are stopped because:

__float128 is not supported when running the ./configure for the package.  I 
suspect the issue may be related to newlib vs glibc, but I really don't know.

Do any of the Cygwin maintainers have any hints about this?  I am still 
investigating.  It would be nice to have this quad precision capability under 
Cygwin.  The library is a software floating point library and does not depend on 
having special hardware.  We have it running on i686 and x86-64 Linux, but so 
far no luck under Windows.  If I learn more in the next few days, I will report 
here.

Any suggestions would be appreciated.

Best regards,

Jerry

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list